<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz', language 'en_wp', version '3.4'.
 *
 * @package     quiz
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['adaptive_help'] = 'If enabled, multiple responses to a question are allowed within the same attempt at the quiz. So for example if a response is marked as incorrect, the learner will be allowed to try again immediately. However, depending on the "Apply penalties" setting, a penalty will usually be subtracted for each wrong attempt.';
$string['addarandomquestion_help'] = 'When a random question is added, it results in a randomly-chosen question from the category being inserted into the quiz. This means that different learners are likely to get a different selection of questions, and when a quiz allows multiple attempts then each attempt is likely to contain a new selection of questions.';
$string['attemptsonly'] = 'Show only learners with attempts';
$string['autosaveperiod_desc'] = 'Responses can be saved automatically during quiz attempts. The responses are saved whenever one is changed, and then after this delay. There is a trade-off: a shorter delay increases the server load, but reduces the chance that learners lose their work. If you are going to make this delay much shorter, you should change the value gradually and monitor the server load. If the load gets too high, make the delay longer again. Setting the delay to 0 turns off auto-saving.';
$string['bothattempts'] = 'Show learners with and without attempts';
$string['browsersecurity_help'] = 'If "Full screen pop-up with some JavaScript security" is selected,

* The quiz will only start if the learner has a JavaScript-enabled web-browser
* The quiz appears in a full screen popup window that covers all the other windows and has no navigation controls
* Learners are prevented, as far as is possible, from using facilities like copy and paste';
$string['canredoquestions_desc'] = 'If enabled, when learners have finished attempting particular question, they will see a Redo question button. This allows them to attempt another version of the same question, without having to submit the entire quiz attempt and start another one. This option is mainly useful for practice quizzes.

This setting only affects questions (for example not Essay questions) and behaviours (for example Immediate feedback, or Interactive with multiple tries) where it is possible for the learner to finish the question before the attempt is submitted.';
$string['canredoquestions_help'] = 'If enabled, when learners have finished attempting particular question, they will see a Redo question button. This allows them to attempt another version of the same question, without having to submit the entire quiz attempt and start another one. This option is mainly useful for practice quizzes.

This setting only affects questions (for example not Essay questions) and behaviours (for example Immediate feedback, or Interactive with multiple tries) where it is possible for the learner to finish the question before the attempt is submitted.';
$string['canredoquestionsyes'] = 'Learners may redo another version of any finished question';
$string['completionattemptsexhausted_help'] = 'Mark quiz complete when the learner has exhausted the maximum number of attempts.';
$string['completionpass_help'] = 'If enabled, this activity is considered complete when the learner receives a pass grade (as specified in the Grade section of the quiz settings) or higher.';
$string['completionpassdesc'] = 'Learner must achieve a passing grade to complete this activity';
$string['configadaptive'] = 'If you choose Yes for this option then the learner will be allowed multiple responses to a question even within the same attempt at the quiz.';
$string['configattemptsallowed'] = 'Restriction on the number of attempts learners are allowed at the quiz.';
$string['configdelay1'] = 'If you set a time delay, then a learner has to wait for that time before they can attempt a quiz after the first attempt.';
$string['configdelay1st2nd'] = 'If you set a time delay here, the learner cannot start their second attempt until this much time has passed since the end of their first attempt.';
$string['configdelay2'] = 'If you set a time delay here, then a learner has to wait for that time before they can attempt their third or later attempts.';
$string['configdelaylater'] = 'If you set a time delay here, the learner cannot start their third, fourth, ... attempt until this much time has passed since the end of their previous attempt.';
$string['configgrademethod'] = 'When multiple attempts are allowed, which method should be used to calculate the learner\'s final grade for the quiz.';
$string['configrequirepassword'] = 'Learners must enter this password before they can attempt the quiz.';
$string['configrequiresubnet'] = 'Learners must enter this password before they can attempt the quiz.';
$string['configshufflewithin'] = 'If you enable this option, then the parts making up the individual questions will be randomly shuffled each time a learner starts an attempt at this quiz, provided the option is also enabled in the question settings.';
$string['delay1st2nd_help'] = 'If enabled, a learner must wait for the specified time to elapse before being able to attempt the quiz a second time.';
$string['delaylater_help'] = 'If enabled, a learner must wait for the specified time to elapse before attempting the quiz a third time and any subsequent times.';
$string['editingquiz_help'] = 'When creating a quiz, the main concepts are:

* The quiz, containing questions over one or more pages
* The question bank, which stores copies of all questions organised into categories
* Random questions -  A learner gets different questions each time they attempt the quiz and different learners can get different questions';
$string['filloutnumericalanswer'] = 'You provide at least one possible answer and tolerance. The first matching answer will be used to determine the grade and feedback. If you supply some feedback with no answer at the end, that will be shown to learners whose response is not matched by any of the other answers.';
$string['graceperiodmin_desc'] = 'There is a potential problem right at the end of the quiz. On the one hand, we want to let learners continue working right up until the last second - with the help of the timer that automatically submits the quiz when time runs out. On the other hand, the server may then be overloaded, and take some time to get to process the responses. Therefore, we will accept responses for up to this long after time expires, so they are not penalised for the server being slow. However, the learner could cheat and get this many seconds to answer the quiz. You have to make a trade-off based on how much you trust the performance of your server during quizzes.';
$string['inactiveoverridehelp'] = '* Learner does not have the correct group or role to attempt the quiz';
$string['indicator:cognitivedepth_help'] = 'This indicator is based on the cognitive depth reached by the learner in a Quiz activity.';
$string['indicator:socialbreadth_help'] = 'This indicator is based on the social breadth reached by the learner in a Quiz activity.';
$string['modulename_help'] = 'The quiz activity enables a trainer to create quizzes comprising questions of various types, including multiple choice, matching, short-answer and numerical.

The trainer can allow the quiz to be attempted multiple times, with the questions shuffled or randomly selected from the question bank. A time limit may be set.

Each attempt is marked automatically, with the exception of essay questions, and the grade is recorded in the gradebook.

The trainer can choose when and if hints, feedback and correct answers are shown to learners.

Quizzes may be used

* As course exams
* As mini tests for reading assignments or at the end of a topic
* As exam practice using questions from past exams
* To deliver immediate feedback about performance
* For self-assessment';
$string['navmethod_help'] = 'When sequential navigation is enabled a learner must progress through the quiz in order and may not return to previous pages nor skip ahead.';
$string['onlyteachersexport'] = 'Only trainers can export questions';
$string['onlyteachersimport'] = 'Only trainers with editing rights can import questions';
$string['overduehandling_desc'] = 'What should happen by default if a learner does not submit the quiz before time expires.';
$string['overduehandling_help'] = 'This setting controls what happens if the learner fails to submit their quiz attempt before time expires. If the learner is actively working on the quiz at the time, then the countdown timer will always automatically submit the attempt for them, but if they have logged out, then this setting controls what happens.';
$string['popupnotice'] = 'Learners will see this quiz in a secure window';
$string['questiondeleted'] = 'This question has been deleted. Please contact your trainer.';
$string['quizopenclose_help'] = 'Learners can only start their attempt(s) after the open time and they must complete their attempts before the close time.';
$string['reportmulti_q_x_student'] = 'Multi-learner choices';
$string['requirepassword_help'] = 'If a password is specified, a learner must enter it in order to attempt the quiz.';
$string['reviewoptions'] = 'Learners may review';
$string['reviewoptionsheading_help'] = 'These options control what information learners can see when they review a quiz attempt or look at the quiz reports.

**During the attempt** settings are only relevant for some behaviours, like \'interactive with multiple tries\', which may display feedback during the attempt.

**Immediately after the attempt** settings apply for the first two minutes after \'Submit all and finish\' is clicked.

**Later, while the quiz is still open** settings apply after this, and before the quiz close date.

**After the quiz is closed** settings apply after the quiz close date has passed. If the quiz does not have a close date, this state is never reached.';
$string['reviewoverallfeedback_help'] = 'The feedback given at the end of the attempt, depending on the learner\'s total mark.';
$string['shownoattempts'] = 'Show learners with no attempts';
$string['shownoattemptsonly'] = 'Show only learners with no attempts';
$string['showteacherattempts'] = 'Show trainer attempts';
$string['showuserpicture_help'] = 'If enabled, the learner\'s name and picture will be shown on-screen during the attempt, and on the review screen, making it easier to check that the learner is logged in as themselves in an invigilated (proctored) exam.';
$string['shufflequestions_help'] = 'If you turn this on, then every time the quiz is attempted, the order of the questions in this section will be shuffled into a different random order.

This can make it harder for learners to share answers, but it also makes it harder for learners to discuss a particular question with the trainer.';
$string['shufflewithin_help'] = 'If enabled, the parts making up each question will be randomly shuffled each time a learner attempts the quiz, provided the option is also enabled in the question settings. This setting only applies to questions that have multiple parts, such as multiple choice or matching questions.';
$string['subnetnotice'] = 'This quiz has been locked so that it is only accessible from certain locations. Your computer is not on an allowed subnet. As trainer you are allowed to preview anyway.';
$string['theattempt_help'] = 'Whether the learner can review the attempt at all.';
$string['usersnone'] = 'No learners have access to this quiz';
